/**
 * Copyright Zendesk, Inc.
 *
 * Use of this source code is governed under the Apache License, Version 2.0
 * found at http://www.apache.org/licenses/LICENSE-2.0.
 */
import React from 'react';
import { IUseTooltipProps, IUseTooltipReturnValue } from './useTooltip';
export interface ITooltipContainerProps extends IUseTooltipProps {
    /** A render prop function which receives tooltip state and prop getters */
    render?: (options: IUseTooltipReturnValue) => React.ReactNode;
    /** A children render prop function which receives tooltip state and prop getters */
    children?: (options: IUseTooltipReturnValue) => React.ReactNode;
}
export declare const TooltipContainer: React.FunctionComponent<ITooltipContainerProps>;
