/**
 * Copyright Zendesk, Inc.
 *
 * Use of this source code is governed under the Apache License, Version 2.0
 * found at http://www.apache.org/licenses/LICENSE-2.0.
 */
export interface IUseTooltipProps {
    /** Milliseconds of delay before open/close of tooltip is initiated  */
    delayMilliseconds?: number;
    id?: string;
    /** Control visibility state of the tooltip */
    isVisible?: boolean;
}
export interface IUseTooltipReturnValue {
    isVisible?: boolean;
    getTooltipProps: <T>(options?: T) => T & React.HTMLProps<any>;
    getTriggerProps: <T>(options?: T) => T & React.HTMLProps<any>;
    openTooltip: (delayMs?: number) => void;
    closeTooltip: (delayMs?: number) => void;
}
export declare const useTooltip: ({ delayMilliseconds, id, isVisible }?: IUseTooltipProps) => IUseTooltipReturnValue;
